i.gensig(1)

NAME
i.gensig - Generates statistics for i.maxlik from raster map layer.

KEYWORDS
imagery

SYNOPSIS
i.gensig
i.gensig help
i.gensig trainingmap=string group=string subgroup=string signaturefile=string

  Parameters:

trainingmap=string
    ground truth training map

group=string
    imagery group

subgroup=string
    subgroup containing image files

signaturefile=string
    resultant signature file

DESCRIPTION
i.gensig is a non-interactive method for generating input into i.maxlik. It can be used as the first pass in the GRASS two-pass classification process (instead of i.cluster or i.class). It reads a raster map layer, called the training map, which has some of the pixels or regions already classified. i.gensig will then extract spectral signatures from an image based on the classification of the pixels in the training map and make these signatures available to i.maxlik.

The user would then execute the GRASS program i.maxlik to actually create the final classified map.

OPTIONS

  Parameters

trainingmap=name
    ground truth training map

This map must be prepared by the user in advance. Programs like v.digit or r.digit can be used to define representative areas of the classes the user defines to be in the image. Of course other methods could be devised by the user for creating this training map - i.gensig makes no assumption about the origin of this map layer. It simply creates signatures for the classes defined in the training map for the image to be classified (the image is specified in other options - see below).

group=name
    imagery group

This is the name of the group that contains the band files which comprise the image to be analyzed. The i.group command is used to construct groups of raster layers which comprise an image.

subgroup=name
    subgroup containing image files

This names the subgroup within the group that selects a subset of the bands to be analyzed. The i.group command is also used to prepare this subgroup. The subgroup mechanism allows the user to select a subset of all the band files that form an image.

signaturefile=name
    resultant signature file

This is the resultant signature file (containing the means and covariance matrices) for each class in the training map that is associated with the band files in the subgroup select (see above).

INTERACTIVE MODE
If none of the arguments are specified on the command line, i.gensig will interactively prompt for the names of these maps and files.

It should be noted that interactive mode here only means interactive prompting for maps and files. It does not mean visualization of the signatures that result from the process.

SEE ALSO
i.group for creating groups and subgroups.

v.digit and r.digit for interactively creating the training map.

i.cluster for unsupervised clustering as an alternative to i.gensig to create signatures.

i.class for a graphic/interactive as an alternative to i.gensig to create signatures.

AUTHOR
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/04/17 14:49:21 $

Full index